package com.medusa.gruul.common.core.constant;

/**
 * @description: 常用的时间常量
 * @author: alan
 * @date: 2020/1/1 21:08
 */
public interface TimeConstants {

    /**
     * 5 秒
     */
    Long FIVE_SECONDS = 5000L;

    /**
     * 6 秒
     */
    Long SIX_SECONDS = 6000L;

    /**
     * 30秒
     */
    Long THIRTY_SECONDS = 1 * 30 * 1000L;

    /**
     * 1 分钟
     */
    Long ONE_MINUTES = 1 * 60 * 1000L;

    /**
     * 5 分钟
     */
    Long FIVE_MINUTES = 5 * 60 * 1000L;

    /**
     * 10 分钟
     */
    Long TEN_MINUTES = 10 * 60 * 1000L;

    /**
     * 30分钟
     */
    Long THIRTY_MINUTES = 30 * 60 * 1000L;

    /**
     * 1小时
     */
    Long ONE_HOUR = 60 * 60 * 1000L;

    /**
     * 6小时
     */
    Long SIX_HOURS = 6 * 60 * 60 * 1000L;

    /**
     * 24小时  (1天)
     */
    Long ONE_DAY = 1 * 24 * 60 * 60 * 1000L;

    /**
     * 48小时  (2天)
     */
    Long TWO_TDAY = 2 * 24 * 60 * 60 * 1000L;
    /**
     * 7天
     */
    Long SEVEN_DAY = 7 * 24 * 60 * 60 * 1000L;
}
