package com.medusa.gruul.shops.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.medusa.gruul.common.data.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;


/**
 * @author create by zq
 * @date created in 2019/11/15
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName("t_shops_renovation_assembly")
@ApiModel(value = "店铺装修页面组件属性实体", description = "店铺装修页面组件属性表")
@Getter
@Setter
public class ShopsRenovationAssembly extends BaseEntity {


    private static final long serialVersionUID = 1L;


    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    /**
     * 所属页面ID
     */
    @NotNull
    @ApiModelProperty(value = "所属页面ID")
    @TableField("page_id")
    private Long pageId;


    /**
     * 组件属性 json串
     */
    @NotNull
    @ApiModelProperty(value = "组件属性 json串")
    @TableField("properties")
    private String properties;

}